al_register_sample_saver_f(3)

NAME

al_register_sample_saver_f - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_register_sample_saver_f(const char *ext,
       bool (*saver)(ALLEGRO_FILE* fp, ALLEGRO_SAMPLE *spl))

DESCRIPTION

Register a handler for al_save_sample_f(3). The given function will be used to handle the saving of sample files with the given extension.

The extension should include the leading dot ('.') character. It will be matched case-insensitively.

The saver argument may be NULL to unregister an entry.

Returns true on success, false on error. Returns false if unregistering an entry that doesn't exist.

SEE ALSO

al_register_sample_saver(3)